Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609700 - ceph : ceph : does not adhere to Static Library Packaging Guidelines
ceph : ceph : does not adhere to Static Library Packaging Guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ceph (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 691033
  Show dependency treegraph
 
Reported: 2010-06-30 16:46 EDT by Michael Schwendt
Modified: 2013-09-06 01:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: ceph-0.61.7-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 18:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-06-30 16:46:36 EDT
ceph-0.20-1.fc14.src
is missing
BuildRequires: libatomic_ops-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 1 Michael Schwendt 2010-07-01 06:27:36 EDT
Closed by: fedora-report-static-batch.py
Comment 2 Michael Schwendt 2010-07-01 06:48:16 EDT
Reason this got closed automatically:

 * Does ceph really need "BuildRequires: libatomic_ops-devel"?

The enabled koji build log checker suggests that it isn't needed, and a source grep for atomic_ops doesn't lead to anything either. Unneeded BuildRequires? rpmbuild --nodeps --rebuild succeeds, too. When was the BR needed and why?
Comment 3 Michael Schwendt 2010-10-05 09:38:48 EDT
Reopened by: fedora-report-static-batch.py

ceph-0.21.3-1.fc15.src
is missing
BuildRequires: libatomic_ops-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 4 Michael Schwendt 2010-10-05 09:42:24 EDT
Please see comment 2.
Comment 5 David Nalley 2011-11-05 21:56:59 EDT
libatomic_ops-devel is needed, though not -static.
Comment 6 Michael Schwendt 2011-11-06 05:09:36 EST
It is a static-only lib, however. And therefore the guidelines apply. Reopening.
Comment 7 David Nalley 2011-11-09 12:03:39 EST
(In reply to comment #6)
> It is a static-only lib, however. And therefore the guidelines apply.
> Reopening.

You are correct - I fixed this in the f16 branch, but haven't pushed a build (assuming there will be another version bump in a few weeks) 
I just kicked off a build in rawhide that resolves this issue. 

Thanks! 

--David
Comment 8 Michael Schwendt 2012-05-04 06:44:45 EDT
Reopened by: fedora-report-static-batch.py

ceph-0.45-2.fc18.src
is missing
BuildRequires: libatomic_ops-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 9 Michael Schwendt 2013-03-28 17:37:12 EDT
Dunno when or why, but somebody has removed "BuildRequires: libatomic_ops-static", and therefore this ticket is still open.
Comment 10 Fedora Update System 2013-04-01 11:32:10 EDT
ceph-0.56.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ceph-0.56.4-1.fc18
Comment 11 Michael Schwendt 2013-04-02 18:31:09 EDT
Closed by: fedora-report-static-batch.py
http://mschwendt.fedorapeople.org/staticbugstat.html
Comment 12 Fedora Update System 2013-07-30 13:55:58 EDT
ceph-0.61.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ceph-0.61.7-1.fc18
Comment 13 Fedora Update System 2013-09-06 00:01:14 EDT
ceph-0.61.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-09-06 01:22:47 EDT
ceph-0.61.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.